# Application Status Reasons

Application Status Reasons

 - [GET /applicationStatusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/listapplicationstatusreasons.md): This method will scan all application status reasons and and return them to the caller.
 - [POST /applicationStatusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/createapplicationstatusreason.md): This method will auto-generate an ID and create a new application status reason. If an ID is specified for the application status reason, an error will be thrown.
 - [POST /applicationStatusReasons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/deleteapplicationstatusreason.md): This method will delete a application status reason with the specified ID.
 - [GET /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/getapplicationstatusreason.md): This method will look up a application status reason by the specified ID and return it back.
 - [PATCH /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/patchapplicationstatusreason.md): This method will patch an existing application status reason with the specified ID, using the HTTP PATCH specification.
 - [PUT /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/updateapplicationstatusreason.md): This method will update an existing application status reason with the specified ID.
